package sluzby;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.Reader;
import java.io.UnsupportedEncodingException;
import java.util.List;

/**
 * Třída pro import souboru do dokumentu
 *
 * @author Matěj Fries
 */
public class ImportSouboru
{

    public ImportSouboru()
    {

    }

    /**
     * Metoda pro načtení souboru
     *
     * @param soubor absoluní cesta k souboru
     * @param sloupec sloupec, ve kterém jsou data k načtení
     * @param oddelovac oddělovač dat
     * @return vrací list slov pro dokument
     *
     * @throws UnsupportedEncodingException
     * @throws FileNotFoundException
     */
    public List nacti(String soubor, int sloupec, String oddelovac) throws UnsupportedEncodingException, FileNotFoundException
    {
        Reader reader = new InputStreamReader(new FileInputStream(soubor), "windows-1250");
        try (BufferedReader br = new BufferedReader(reader))
        {

            Nacitac n = new Nacitac(br, sloupec, oddelovac);
            return n.nacti();

        } catch (FileNotFoundException e)
        {
        } catch (IOException e)
        {
        }

        return null;
    }
}
